<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: SpotLightBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d93/a02947.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">SpotLightBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab8e097e71c2210e3f77c207f1fb57b88"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/a02947.html#ab8e097e71c2210e3f77c207f1fb57b88">ExpansionLighthouse</a> ()</td></tr>
<tr class="separator:ab8e097e71c2210e3f77c207f1fb57b88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0b15eac9f10d33dfd31089ce2fdd047"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/a02947.html#af0b15eac9f10d33dfd31089ce2fdd047">~ExpansionLighthouse</a> ()</td></tr>
<tr class="separator:af0b15eac9f10d33dfd31089ce2fdd047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7455cf82f97895d4c90d6dc5bd82ad9b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/a02947.html#a7455cf82f97895d4c90d6dc5bd82ad9b">OnFrameLightSource</a> (IEntity other, float timeSlice)</td></tr>
<tr class="separator:a7455cf82f97895d4c90d6dc5bd82ad9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac811bc29ae38ef35ac87d10252ae7908"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/a02947.html#ac811bc29ae38ef35ac87d10252ae7908">CheckIfParentIsInCargo</a> ()</td></tr>
<tr class="separator:ac811bc29ae38ef35ac87d10252ae7908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69ba497fb7dafbfe77e1d4aee2b1fd0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/a02947.html#a69ba497fb7dafbfe77e1d4aee2b1fd0c">ExpansionStreetLight</a> ()</td></tr>
<tr class="separator:a69ba497fb7dafbfe77e1d4aee2b1fd0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68987d0a63f5db813ab9e0d3f38aeb42"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/a02947.html#a68987d0a63f5db813ab9e0d3f38aeb42">~ExpansionStreetLight</a> ()</td></tr>
<tr class="separator:a68987d0a63f5db813ab9e0d3f38aeb42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac811bc29ae38ef35ac87d10252ae7908"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/a02947.html#ac811bc29ae38ef35ac87d10252ae7908">CheckIfParentIsInCargo</a> ()</td></tr>
<tr class="separator:ac811bc29ae38ef35ac87d10252ae7908"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abc1b771ae8fd888684c77afa47c2b5eb"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/a02947.html#abc1b771ae8fd888684c77afa47c2b5eb">m_Val</a> = 0</td></tr>
<tr class="separator:abc1b771ae8fd888684c77afa47c2b5eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/d95/a01247_source.html#l00016">16</a> of file <a class="el" href="../../dd/d95/a01247_source.html">expansionlighthouse.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af0b15eac9f10d33dfd31089ce2fdd047" name="af0b15eac9f10d33dfd31089ce2fdd047"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0b15eac9f10d33dfd31089ce2fdd047">&#9670;&#160;</a></span>~ExpansionLighthouse()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SpotLightBase::~ExpansionLighthouse </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d95/a01247_source.html#l00043">43</a> of file <a class="el" href="../../dd/d95/a01247_source.html">expansionlighthouse.c</a>.</p>

</div>
</div>
<a id="a68987d0a63f5db813ab9e0d3f38aeb42" name="a68987d0a63f5db813ab9e0d3f38aeb42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68987d0a63f5db813ab9e0d3f38aeb42">&#9670;&#160;</a></span>~ExpansionStreetLight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SpotLightBase::~ExpansionStreetLight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d0b/a01253_source.html#l00047">47</a> of file <a class="el" href="../../d3/d0b/a01253_source.html">expansionstreetlight.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac811bc29ae38ef35ac87d10252ae7908" name="ac811bc29ae38ef35ac87d10252ae7908"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac811bc29ae38ef35ac87d10252ae7908">&#9670;&#160;</a></span>CheckIfParentIsInCargo() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void SpotLightBase::CheckIfParentIsInCargo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d95/a01247_source.html#l00070">70</a> of file <a class="el" href="../../dd/d95/a01247_source.html">expansionlighthouse.c</a>.</p>

</div>
</div>
<a id="ac811bc29ae38ef35ac87d10252ae7908" name="ac811bc29ae38ef35ac87d10252ae7908"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac811bc29ae38ef35ac87d10252ae7908">&#9670;&#160;</a></span>CheckIfParentIsInCargo() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void SpotLightBase::CheckIfParentIsInCargo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d0b/a01253_source.html#l00055">55</a> of file <a class="el" href="../../d3/d0b/a01253_source.html">expansionstreetlight.c</a>.</p>

</div>
</div>
<a id="ab8e097e71c2210e3f77c207f1fb57b88" name="ab8e097e71c2210e3f77c207f1fb57b88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8e097e71c2210e3f77c207f1fb57b88">&#9670;&#160;</a></span>ExpansionLighthouse()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SpotLightBase::ExpansionLighthouse </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d95/a01247_source.html#l00023">23</a> of file <a class="el" href="../../dd/d95/a01247_source.html">expansionlighthouse.c</a>.</p>

</div>
</div>
<a id="a69ba497fb7dafbfe77e1d4aee2b1fd0c" name="a69ba497fb7dafbfe77e1d4aee2b1fd0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69ba497fb7dafbfe77e1d4aee2b1fd0c">&#9670;&#160;</a></span>ExpansionStreetLight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SpotLightBase::ExpansionStreetLight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d0b/a01253_source.html#l00021">21</a> of file <a class="el" href="../../d3/d0b/a01253_source.html">expansionstreetlight.c</a>.</p>

</div>
</div>
<a id="a7455cf82f97895d4c90d6dc5bd82ad9b" name="a7455cf82f97895d4c90d6dc5bd82ad9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7455cf82f97895d4c90d6dc5bd82ad9b">&#9670;&#160;</a></span>OnFrameLightSource()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void SpotLightBase::OnFrameLightSource </td>
          <td>(</td>
          <td class="paramtype">IEntity&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>timeSlice</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d95/a01247_source.html#l00054">54</a> of file <a class="el" href="../../dd/d95/a01247_source.html">expansionlighthouse.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="abc1b771ae8fd888684c77afa47c2b5eb" name="abc1b771ae8fd888684c77afa47c2b5eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc1b771ae8fd888684c77afa47c2b5eb">&#9670;&#160;</a></span>m_Val</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float SpotLightBase::m_Val = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d95/a01247_source.html#l00018">18</a> of file <a class="el" href="../../dd/d95/a01247_source.html">expansionlighthouse.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/lights/<a class="el" href="../../dd/d95/a01247_source.html">expansionlighthouse.c</a></li>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/lights/<a class="el" href="../../d3/d0b/a01253_source.html">expansionstreetlight.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d93/a02947.html">SpotLightBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
